﻿@using Jumbula.Common.Helper
@model FlyerTemplate1ViewModel
@{
    String dayFlyer = "";
    String tdbg = "";


    if (Model.IsGreenColor)
    {
        dayFlyer = "day-flyer";
        tdbg = "td-Greenbg";
    }
    else if (Model.IsBlueColor)
    {
        dayFlyer = "day-flyer-blue";
        tdbg = "td-blue-bg";
    }
    else
    {
        dayFlyer = "day-flyer-black";
        tdbg = "td-blackBg";
    }
}
@{
    Layout = null;
}

<div class="txt-center flyer-alignment">

    @if (Model.Body.MinMaxTimeAM != null)
    {
        <div class="txt-center text-bold">
            <span class="pm-schedule">AM SCHEDULE: </span>
            <span class="gothambold-font am-pm">@Model.Body.StrscheduleAMTimes</span>

        </div>
        <!--<br ng-hide="Model.Body.MinMaxTimeAM==null" />-->

        <div>
            <table class="table-flyers">
                <tbody>
                    @foreach (var item in Model.Body.ProgramSchedulesAM)
                    {
                        <tr role="row" class="row-block-flyer">
                            <td class="td-days-flyer">
                                <div class="vertical-center">
                                    <div class="gothambold-font  @dayFlyer ">@item.Day</div>
                                    <div  class="gothambold-font">@item.StrSession sessions</div>
                                    @if (item.ProgramsNoClass != "")
                                    {
                                        <div class="gothambold-font">No class: @item.ProgramsNoClass </div>
                                    }

                                </div>
                            </td>
                            @foreach (var itemProgram in item.Details)
                            {
                                if (itemProgram.ProgramName != "")
                                {
                                    <td class="td-flyer">
                                        <div class="vertical-center">
                                            <div class="gothambold-font">@itemProgram.ProgramName</div>
                                            <div class="gothambold-font">@itemProgram.ProviderName</div>

                                            @if ((@itemProgram.GradeOrAges != null || Model.Body.ScheduleAMTimesWithDistinct.Count() > 1) && itemProgram.ProgramName != "")
                                            {
                                                <div class="gothambook-font">
                                                    (@if (itemProgram.GradeOrAges != null)
                                                    {<span>@itemProgram.GradeOrAges</span>}@if (Model.Body.ScheduleAMTimesWithDistinct.Count() > 1)
                                                    {<span>@itemProgram.StrStartTime</span>})
                                                </div>
                                            }


                                            <div class="gothambook-font">@Html.FormatCurrencyWithPenny(@itemProgram.Amount)</div>
                                        </div>
                                    </td>
                                }
                                else
                                {
                                    <td class="td-flyer @tdbg">
                                        <div class="vertical-center">
                                            <div class="gothambold-font">@itemProgram.ProgramName</div>
                                            <div class="gothambold-font">@itemProgram.ProviderName</div>
                                            <div class="gothambook-font"></div>
                                            <div class="gothambook-font">@Html.FormatCurrencyWithPenny(@itemProgram.Amount)</div>
                                        </div>
                                    </td>
                                }

                            }


                        </tr>
                    }

                </tbody>
            </table>
        </div>
    }
</div>


@if (Model.Body.MinMaxTimePM != null)
{
    <div class="txt-center flyer-alignment">
        <div class="txt-center text-bold">
            <span class="pm-schedule">PM SCHEDULE: </span>
            <span class="gothambold-font am-pm">@Model.Body.StrschedulePMTimes</span>
        </div>

        <table class="table-flyers">
            <tbody>
                @foreach (var item in Model.Body.ProgramSchedulesPM)
                {
                    <tr role="row" class="row-block-flyer">
                        <td class="td-days-flyer">
                            <div class="vertical-center">
                                <div class="gothambold-font @dayFlyer ">@item.Day</div>
                                <div class="gothambold-font">@item.StrSession sessions</div>
                                @if (item.ProgramsNoClass != "")
                                {
                                    <div class="gothambold-font">No class: @item.ProgramsNoClass </div>
                                }

                            </div>
                        </td>
                        @foreach (var itemProgram in item.Details)
                        {
                            if (itemProgram.ProgramName != "")
                            {
                                <td class="td-flyer  ">
                                    <div class="vertical-center">
                                        <div class="gothambold-font">@itemProgram.ProgramName</div>
                                        <div class="gothambold-font">@itemProgram.ProviderName</div>

                                        @if ((@itemProgram.GradeOrAges != null || Model.Body.SchedulePMTimesWithDistinct.Count() > 1) && itemProgram.ProgramName != "")
                                        {
                                            <div class="gothambook-font">
                                                (@if (itemProgram.GradeOrAges != null)
                                                {<span>@itemProgram.GradeOrAges</span>}@if (Model.Body.SchedulePMTimesWithDistinct.Count() > 1)
                                                {<span>@itemProgram.StrStartTime</span>})
                                            </div>
                                        }

                                        <div class="gothambook-font">@Html.FormatCurrencyWithPenny(@itemProgram.Amount)</div>
                                    </div>
                                </td>
                            }
                            else
                            {

                                <td class="td-flyer  @tdbg  ">
                                    <div class="vertical-center">
                                        <div class="gothambold-font">@itemProgram.ProgramName</div>
                                        <div class="gothambold-font">@itemProgram.ProviderName</div>
                                        <div class="gothambook-font"></div>
                                        <div class="gothambook-font">@Html.FormatCurrencyWithPenny(@itemProgram.Amount)</div>
                                    </div>
                                </td>
                            }

                        }

                    </tr>
                }


            </tbody>
        </table>
    </div>
}
